Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceCommonAccountDao

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.VoiceCommonAccountDao

    public class VoiceCommonAccountDao
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `TABLE_COMMON_VOICE_ACCOUNT` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceCommonAccountDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected int` | `delete​(int id)` |
  `protected void` | `delete​(java.util.List<java.lang.Integer> ids)` |
  `protected void` | `fillFromRS​(java.sql.ResultSet rs, AbtractVoiceAccount account, boolean contractLoad)` |
  `protected void` | `update​(AbtractVoiceAccount account)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_COMMON_VOICE_ACCOUNT

    public static final java.lang.String TABLE_COMMON_VOICE_ACCOUNT
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### VoiceCommonAccountDao

    public VoiceCommonAccountDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### fillFromRS

    protected void fillFromRS​(java.sql.ResultSet rs, AbtractVoiceAccount account, boolean contractLoad) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    protected void update​(AbtractVoiceAccount account) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### delete

    protected int delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    protected void delete​(java.util.List<java.lang.Integer> ids) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`